Skip to main content
POST
/
crm
/
objects
/
v3
/
{objectType}
Create
curl --request POST \
  --url https://api.hubapi.com/crm/objects/v3/{objectType} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "associations": [
    {
      "to": {
        "id": "<string>"
      },
      "types": [
        {
          "associationCategory": "HUBSPOT_DEFINED",
          "associationTypeId": 123
        }
      ]
    }
  ],
  "properties": {}
}
'
{
  "archived": false,
  "createdAt": "2019-10-30T03:30:17.883Z",
  "id": "512",
  "properties": {
    "property_checkbox": "false",
    "property_date": "1572480000000",
    "property_dropdown": "choice_b",
    "property_multiple_checkboxes": "chocolate;strawberry",
    "property_number": "17",
    "property_radio": "option_1",
    "property_string": "value"
  },
  "updatedAt": "2019-12-07T16:50:06.678Z"
}

Supported products

Requires one of the following products or higher.
Marketing HubMarketing Hub -Free
Sales HubSales Hub -Free
Service HubService Hub -Free
Content HubContent Hub -Free
Data HubData Hub -Free

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

objectType
string
required

Body

application/json

Is the input object used to create a new CRM object, containing the properties to be set and optional associations to link the new record with other CRM objects.

associations
object[]
required
properties
object
required

Key-value pairs for setting properties for the new object.

Response

successful operation

A simple public object.

archived
boolean
required

Whether the object is archived.

createdAt
string<date-time>
required

The timestamp when the object was created, in ISO 8601 format.

id
string
required

The unique ID of the object.

properties
object
required

Key-value pairs representing the properties of the object.

updatedAt
string<date-time>
required

The timestamp when the object was last updated, in ISO 8601 format.

archivedAt
string<date-time>

The timestamp when the object was archived, in ISO 8601 format.

objectWriteTraceId
string

Unique ID to identify each write operation, which will be returned with any errors to identify which request encountered which error.

propertiesWithHistory
object

Key-value pairs representing the properties of the object along with their history.

url
string

URL to go to the object

Last modified on February 12, 2026